{% extends "layouts/page.html" %}{% load static custom_tags %}{% block page %}

{% comment %} MAIN PAGE {% endcomment %}
<div>

  {% comment %} SHOWCASE {% endcomment %}
  <div class="relative z-0 bg-gradient-to-b from-main overflow-hidden shadow-lg">
    <div class="relative h-[calc(100vh-14rem)] max-h-[44rem] min-h-[30rem] bg-[url({% static "media/images/islamic_pattern_9.png" %})] bg-[length:10rem_auto] bg-fixed">
      <video
        class="absolute inset-0 z-50 m-auto object-cover w-full h-full min-h-[calc(100%+1.25rem)]"
        src="{% static 'media/video/index.webm' %}"
        disablePictureInPicture
        data-aos-duration="3000"
        data-aos="zoom-out"
        autoplay
        muted
        loop
      ></video>
    </div>
  </div>

  {% comment %} DAY TIME {% endcomment %}

  {% comment %} MAIN TITLE {% endcomment %}
  <h1
    data-aos="zoom-out-up"
    data-aos-duration="1000"
    data-aos-anchor-placement="top-bottom"
    class="px-10 py-7 text-main text-center text-4xl lg:text-[2.75rem] font-medium">
    {{_("Islamic Center of Maineville")}}
  </h1>

  {% comment %} NEWS CAROUSEL {% endcomment %}
  <div
    data-aos="fade-up"
    data-aos-duration="1000"
    class="bg-gradient-to-br from-main/95 to-main-dark shadow-lg">
    <div class="bg-[url({% static "media/images/islamic_pattern_9.png" %})] bg-[length:10rem_auto] px-4 pb-14 sm:px-10">
      <div class="relative z-10 max-w-[140rem] mx-auto">
        <h3 class="text-white text-2xl py-5 px-6 font-medium">
          <a href="{% url "apps.news:index" %}" title="{{_("News of Mosque")}}" class="transition-colors hover:text-accent">{{_("News of Mosque")}}</a>
        </h3>
        <div class="px-2 bg-gradient-to-br from-white to-main-white rounded-lg shadow-lg animate-appear">
          <div id="newsSwiper" class="swiper w-full">
            <div class="swiper-wrapper">
              {% for news in news_list %}
              <div class="swiper-slide">
                <div
                  data-aos="zoom-in-left"
                  data-aos-duration="1000"
                  data-aos-delay="{{forloop.counter}}00"
                  class="pt-4 pb-6 px-2"
                >
                  <div class="group relative w-full h-96 overflow-hidden text-center text-white rounded-lg shadow-lg transition duration-500 hover:shadow-card hover:-translate-y-1">
                    {% if news.image %}
                    <div
                      class="bg-cover flex justify-center items-center h-full p-6 font-medium text-2xl bg-center"
                      style="background-image: linear-gradient(#0003, #0003), url({% get_media_prefix %}{{news.image}});"
                    >
                      <div class="line-clamp-4 leading-snug transition duration-500 group-hover:scale-0 group-hover:opacity-0">
                        {{news.title}}
                      </div>
                    </div>
                    {% else %}
                    <div
                      class="flex justify-center items-center h-full p-6 font-medium text-2xl"
                      style="background-image: linear-gradient(#0003, #0004)"
                    >
                      <div class="line-clamp-4 leading-snug transition-transform duration-500 group-hover:scale-0 group-hover:opacity-0">
                        {{news.title}}
                      </div>
                    </div>
                    {% endif %}
                    <div class="absolute inset-0 flex flex-col justify-center items-center gap-6 rounded scale-150 p-8 opacity-0 bg-black/50 transition-all duration-500 group-hover:scale-100 group-hover:opacity-100">
                      <div class="line-clamp-1 leading-none text-2xl font-medium">
                        {{news.title}}
                      </div>
                      <div class="line-clamp-6 leading-relaxed text-sm">
                        {{news.text|linebreaksbr|indent:"1.5rem"}}
                      </div>
                      <a href="{% url "apps.news:index" %}{{news.id}}" class="inline-flex items-center gap-2 h-8 px-6 text-white text-xs font-medium rounded shadow-lg whitespace-nowrap transition-all duration-300 bg-gradient-to-br from-main/95 to-main-dark hover:bg-gradient-to-tl hover:px-9">
                        {{_("Learn more")}}
                      </a>
                    </div>
                  </div>
                </div>
              </div>
            {% endfor %}
            </div>
            <div class="swiper-button-next"></div>
            <div class="swiper-button-prev"></div>
            <div class="swiper-pagination"></div>
          </div>
        </div>
      </div>
    </div>
  </div>

  {% comment %} KUN HIKMATI {% endcomment %}
  <div class="max-w-screen-xl mx-auto animate-appear p-10">
    {% lorem 20 b random %}
  </div>

  {% comment %} WORLD OF ISLAM VIDEOS {% endcomment %}

  {% comment %} WORLD OF ISLAM BOOKS {% endcomment %}
</div>

{% comment %} SWIPER SCRIPT {% endcomment %}
<script src="https://cdnjs.cloudflare.com/ajax/libs/Swiper/11.0.5/swiper-bundle.min.js" integrity="sha512-Ysw1DcK1P+uYLqprEAzNQJP+J4hTx4t/3X2nbVwszao8wD+9afLjBQYjz7Uk4ADP+Er++mJoScI42ueGtQOzEA==" crossorigin="anonymous" referrerpolicy="no-referrer"></script>
<script>
  new Swiper("#newsSwiper", {
    slidesPerView: 1,
    grabCursor: true,
    loop: true,
    pagination: {
      el: ".swiper-pagination",
      dynamicBullets: true,
      clickable: true,
    },
    navigation: {
      nextEl: ".swiper-button-next",
      prevEl: ".swiper-button-prev",
    },
    keyboard: {
      enabled: true,
    },
    autoplay: {
      delay: 3000,
      disableOnInteraction: false,
      pauseOnMouseEnter: true,
    },
    breakpoints: {
      600: {
        slidesPerView: 2,
      },
      900: {
        slidesPerView: 3,
      },
      1200: {
        slidesPerView: 4,
      },
      1500: {
        slidesPerView: 5,
      },
      2800: {
        slidesPerView: 6,
      },
    },
  });
</script>

{% endblock page %}
